.tab-control {
    display: flex;
    flex-direction: column;
    flex: 1;
    min-height: 0;

    .tab-header-wrap {
        background-color: var(--tab-bg);

        .tab-header {
            display: flex;
            align-items: center;
            width: 100%;
            padding: 0.5rem;
            box-sizing: border-box;

            .tab-item-header {
                flex: 1;
                display: flex;
                align-items: center;
                justify-content: center;

                color: var(--contrast-color);
                cursor: pointer;
                transition: all .2s;
                height: 2.25rem;
                border-radius: 0.75rem;

                span {
                    font-weight: 500;
                    opacity: 0.8;
                    white-space: nowrap;
                }

                &:hover {
                    background-color: rgba(0, 0, 0, .1);

                    span {
                        opacity: 1;
                    }
                }

                &.active {
                    color: var(--tertiary);
                    background-color: rgba(0, 0, 0, .2);

                    span {
                        opacity: 1;
                    }
                }
            }
        }
    }

    .tab-content {
        flex: 1;
        overflow: hidden;

        .tab-item-content {
            display: none;
            width: 100%;
            height: 100%;

            &.active {
                display: block;
            }
        }
    }
}
